# Uses of Class
org.eclipse.jface.window.WindowManager

Packages that use WindowManager
Package
Description
org.eclipse.jface.window
Provides a general framework for creating and managing windows.
org.eclipse.ui.application
Application-level APIs for configuring and controling the Eclipse Platform User Interface.

## Uses of WindowManager in org.eclipse.jface.window

Methods in org.eclipse.jface.window that return WindowManager
Modifier and Type
Method
Description
`WindowManager`
Window.`getWindowManager()`
Returns the window manager of this window.
Methods in org.eclipse.jface.window with parameters of type WindowManager
Modifier and Type
Method
Description
`void`
Window.`setWindowManager(WindowManager manager)`
Sets the window manager of this window.
Constructors in org.eclipse.jface.window with parameters of type WindowManager
Modifier
Constructor
Description
``
`WindowManager(WindowManager parent)`
Creates an empty window manager with the given window manager as parent.

## Uses of WindowManager in org.eclipse.ui.application

Methods in org.eclipse.ui.application that return WindowManager
Modifier and Type
Method
Description
`WindowManager`
IWorkbenchConfigurer.`getWorkbenchWindowManager()`
Returns the workbench window manager.